!===============================================================================
! Copyright 1999-2016 Intel Corporation All Rights Reserved.
!
! The source code,  information  and material  ("Material") contained  herein is
! owned by Intel Corporation or its  suppliers or licensors,  and  title to such
! Material remains with Intel  Corporation or its  suppliers or  licensors.  The
! Material  contains  proprietary  information  of  Intel or  its suppliers  and
! licensors.  The Material is protected by  worldwide copyright  laws and treaty
! provisions.  No part  of  the  Material   may  be  used,  copied,  reproduced,
! modified, published,  uploaded, posted, transmitted,  distributed or disclosed
! in any way without Intel's prior express written permission.  No license under
! any patent,  copyright or other  intellectual property rights  in the Material
! is granted to  or  conferred  upon  you,  either   expressly,  by implication,
! inducement,  estoppel  or  otherwise.  Any  license   under such  intellectual
! property rights must be express and approved by Intel in writing.
!
! Unless otherwise agreed by Intel in writing,  you may not remove or alter this
! notice or  any  other  notice   embedded  in  Materials  by  Intel  or Intel's
! suppliers or licensors in any way.
!===============================================================================

!  Content:
!     D R O T M G   Example Program Text
!*******************************************************************************

      program   DROTMG_MAIN

      double precision    param(5)
      double precision    dd1, dd2, dx1, dy1
      integer             i
*       External Subroutines
      external            DROTMG
*
*       Executable Statements
*
      print*
      print*,'   D R O T M G  EXAMPLE PROGRAM'
*
*       Read input data from input file
      read*
      read*, dd1, dd2, dx1, dy1
*
*       Print input data
      print*
      print*, '     INPUT DATA'
      print 100, dd1, dd2, dx1, dy1
*
*       Call DROTMG subroutine
      call DROTMG(dd1, dd2, dx1, dy1, param)
*
      print*
      print*, '     OUTPUT DATA'
      print 101, dd1, dd2, dx1
      print 102, (param(i),i=1,5)
*
 100  format(7x,'DD1=',f5.2,'  DD2=',f5.2,'  DX1=',f5.2,'  DY1=',f5.2)
 101  format(7x,'DD1=',f6.3,'  DD2=',f6.3,'  DX1=',f6.3)
 102  format(7x,'VECTOR PARAM (some elements may be omitted)',/9x,5(f6.3
     $,1x))
      stop
      end
