!===============================================================================
! Copyright 1999-2016 Intel Corporation All Rights Reserved.
!
! The source code,  information  and material  ("Material") contained  herein is
! owned by Intel Corporation or its  suppliers or licensors,  and  title to such
! Material remains with Intel  Corporation or its  suppliers or  licensors.  The
! Material  contains  proprietary  information  of  Intel or  its suppliers  and
! licensors.  The Material is protected by  worldwide copyright  laws and treaty
! provisions.  No part  of  the  Material   may  be  used,  copied,  reproduced,
! modified, published,  uploaded, posted, transmitted,  distributed or disclosed
! in any way without Intel's prior express written permission.  No license under
! any patent,  copyright or other  intellectual property rights  in the Material
! is granted to  or  conferred  upon  you,  either   expressly,  by implication,
! inducement,  estoppel  or  otherwise.  Any  license   under such  intellectual
! property rights must be express and approved by Intel in writing.
!
! Unless otherwise agreed by Intel in writing,  you may not remove or alter this
! notice or  any  other  notice   embedded  in  Materials  by  Intel  or Intel's
! suppliers or licensors in any way.
!===============================================================================

!  Content:
!      Z R O T G  Example Program Text
!*******************************************************************************

      program  ZROTG_MAIN
*
      double precision  c
      complex*16        s, ca, cb
*       External Subroutines
      external          ZROTG
*
*       Executable Statements
*
      print*
      print*,'   Z R O T G  EXAMPLE PROGRAM'
*
*       Read input data from input file
      read*
      read*, ca, cb
*
*       Print input data
      print*
      print*, '     INPUT DATA'
      print 100, ca, cb
*
*       Call ZROTG subroutine
      call ZROTG(ca,cb,c,s)
*
      print*
      print*, '     OUTPUT DATA'
      print 101, ca
      print 102, c,  s
*
 100  format(7x,'CA=(',f6.3,',',f6.3,')  CB=(',f6.3,',',f6.3,')')
 101  format(7x,'CA=(',f6.3,',',f6.3,')')
 102  format(7x,' C= ',f6.3,11x,'S=(',f6.3,',',f6.3,')')
      stop
      end
